Package htsjdk.variant.variantcontext

# Enum Class VariantContext.Type

java.lang.Object
java.lang.Enum<VariantContext.Type>
htsjdk.variant.variantcontext.VariantContext.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<VariantContext.Type>`, `Constable`

Enclosing class:
  `VariantContext`

public static enum VariantContext.Type extends Enum<VariantContext.Type>

See Also:
  - NCBI Handbook

    ### Format:

    - dbSNP variation class
    - Rules for assigning allele classes
    - Sample allele definition

    ### Supported Types

    - Single Nucleotide Polymorphisms (SNPs)a
    - Strictly defined as single base substitutions involving A, T, C, or G.
    - A/T
    - Deletion/Insertion Polymorphisms (DIPs)
    - Designated using the full sequence of the insertion as one allele, and either a fully defined string for the variant allele or a '-' character to specify the deleted allele. This class will be assigned to a variation if the variation alleles are of different lengths or if one of the alleles is deleted ('-').
    - T/-/CCTA/G
    - No-variation
    - Reports may be submitted for segments of sequence that are assayed and determined to be invariant in the sample.
    - (NoVariation)
    - Mixed
    - Mix of other classes
    Also supports NO_VARIATION type, used to indicate that the site isn't polymorphic in the population

    ### Not currently supported:

    - Heterozygous sequence
    - The term heterozygous is used to specify a region detected by certain methods that do not resolve the polymorphism into a specific sequence motif. In these cases, a unique flanking sequence must be provided to define a sequence context for the variation.
    - (heterozygous)
    - Microsatellite or short tandem repeat (STR)
    - Alleles are designated by providing the repeat motif and the copy number for each allele. Expansion of the allele repeat motif designated in dbSNP into full-length sequence will be only an approximation of the true genomic sequence because many microsatellite markers are not fully sequenced and are resolved as size variants only.
    - (CAC)8/9/10/11
    - Named variant
    - Applies to insertion/deletion polymorphisms of longer sequence features, such as retroposon dimorphism for Alu or line elements. These variations frequently include a deletion '-' indicator for the absent allele.
    - (alu) / -
    - Multi-Nucleotide Polymorphism (MNP)
    - Assigned to variations that are multi-base variations of a single, common length
    - GGA/AGT

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INDEL`
`MIXED`
`MNP`
`NO_VARIATION`
`SNP`
`SYMBOLIC`

## Method Summary

Modifier and Type
Method
Description
`static VariantContext.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantContext.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_VARIATION

public static final VariantContext.Type NO_VARIATION

### SNP

public static final VariantContext.Type SNP

### MNP

public static final VariantContext.Type MNP

### INDEL

public static final VariantContext.Type INDEL

### SYMBOLIC

public static final VariantContext.Type SYMBOLIC

### MIXED

public static final VariantContext.Type MIXED

## Method Details

### values

public static VariantContext.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantContext.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null